## ros-melodic-ros-ethercat-eml 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_ethercat_eml)

find_package(catkin REQUIRED roscpp)

include_directories(include
    ${catkin_INCLUDE_DIRS}
)

catkin_package(
    CATKIN_DEPENDS roscpp
    INCLUDE_DIRS include
    LIBRARIES ros_ethercat_eml
)

add_library(${PROJECT_NAME}
    src/ethercat_AL.cxx
    src/ethercat_FSM.cxx
    src/ethercat_master.cxx
    src/ethercat_mbx.cxx
    src/ethercat_process_data.cxx
    src/ethercat_router.cxx
    src/ethercat_slave_conf.cxx
    src/ethercat_slave_handler.cxx
    src/ethercat_device_addressed_telegram.cxx
    src/ethercat_dll.cxx
    src/ethercat_frame.cxx
    src/ethercat_logical_addressed_telegram.cxx
    src/ethercat_slave_memory.cxx
    src/ethercat_telegram.cxx
    src/ethercat_posix_drv.cxx
)

target_link_libraries(${PROJECT_NAME}
    ${catkin_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-ros-ethercat-eml (0.3.2-5bionic) bionic; urgency=high

  * Cosmetic fix
  * Remove License pdf to solve double license issue. Add disclaimer.

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 May 2019 00:00:00 -0000

ros-melodic-ros-ethercat-eml (0.3.1-5bionic) bionic; urgency=high

  * Moved to new repo

 -- Shadow Robot's software team <software@shadowrobot.com>  Wed, 20 Feb 2019 00:00:00 -0000

ros-melodic-ros-ethercat-eml (0.2.0-5bionic) bionic; urgency=high

  * Delete unnecessary class EtherCAT_SlaveDb that was causing sigsegv
  * Make the start address non-static (each ethercat port will have its own separate logical address space)
  * bug fixes in initialization

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 07 Apr 2015 00:00:00 -0000

ros-melodic-ros-ethercat-eml (0.1.8-5bionic) bionic; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Fri, 18 Jul 2014 00:00:00 -0000

ros-melodic-ros-ethercat-eml (0.1.7-5bionic) bionic; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Fri, 23 May 2014 00:00:00 -0000

ros-melodic-ros-ethercat-eml (0.1.6-5bionic) bionic; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 15 May 2014 00:00:00 -0000

ros-melodic-ros-ethercat-eml (0.1.5-5bionic) bionic; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Wed, 14 May 2014 00:00:00 -0000

ros-melodic-ros-ethercat-eml (0.1.4-5bionic) bionic; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Wed, 14 May 2014 00:00:00 -0000

ros-melodic-ros-ethercat-eml (0.1.3-5bionic) bionic; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 13 May 2014 00:00:00 -0000

ros-melodic-ros-ethercat-eml (0.1.2-5bionic) bionic; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 13 May 2014 00:00:00 -0000

ros-melodic-ros-ethercat-eml (0.1.1-5bionic) bionic; urgency=high

  * first hydro release

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 12 May 2014 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-ros-ethercat-eml
Section: misc
Priority: optional
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roscpp
Homepage: http://ros.org/wiki/ros_ethercat_eml
Standards-Version: 3.9.2

Package: ros-melodic-ros-ethercat-eml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-roscpp
Description: This is an implementation of the EtherCAT master protocol for use wiht ros_ethercar package based on the work done at Flanders' Mechatronics Technology Centre and Willow Garage.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ros-ethercat-eml//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
